| Bsoft 2.0.5 Bernard's software package

Functions
gal_ricoI.cpp File Reference
`#include "gal_ricoI.h"`
`#include "fft_tool.h"`
`#include "Bimage.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
int | polcar_f (Bimage *p, float *pfr, float *pfi, int bordo, int n_radii, int n_theta, kernel *ker, int padd)
int | polcart_fourier (float *pfri, float r, float phi, float *val, int bordo, int n_radii, int n_theta, kernel *ker)
int | padding (Bimage *p, Bimage *ppiano, int z)
| Padds an image. More...
int | copy180 (Bimage *p, float *pfr, float *pfi, int bordo)
int | shift_phase (Bimage *p, float npix)
Bimage * | gal_ricoI (Bimage *p, int tipo, kernel *ker, int padd)
| Reconstruct an image from a sinogram. More...

## Detailed Description

Author
  P.L. Bellon, F. Cantele and S. Lanzavecchia Dip. Chimica Strutturale e Stereochimica Inorganica Via Venezian 21, 20133 Milano, Italy

Date
  Created: 7 04 2003
  Modified: 11 08 2011 (BH)

Definition in file gal_ricoI.cpp.

## Function Documentation

## ◆ copy180()

int copy180 | ( | Bimage * | p,
|  | float * | pfr,
|  | float * | pfi,
|  | int | bordo
| ) |  |

Parameters

  *p |
  *pfr |
  *pfi |
  bordo |

Returns
  int 0

Definition at line 339 of file gal_ricoI.cpp.

## ◆ gal_ricoI()

Bimage* gal_ricoI | ( | Bimage * | p,
|  | int | tipo,
|  | kernel * | ker,
|  | int | padd
| ) |  |

Reconstruct an image from a sinogram.

Parameters

  *p | parameters of the image
  tipo | type of reconstruction (can be 1/2/3/4)
  *ker | table of coefficients for interpolation
  padd | use of padding (0/1)

Returns
  int 0

      float *psource  = sinogram
      float *pdest    = reconstructed image

Definition at line 36 of file gal_ricoI.cpp.

## ◆ padding()

int padding | ( | Bimage * | p,
|  | Bimage * | ppiano,
|  | int | z
| ) |  |

Padds an image.

Parameters

  *p | starting image parameters
  *ppiano | padded image
  z |

Returns
  int 0

Definition at line 307 of file gal_ricoI.cpp.

## ◆ polcar_f()

int polcar_f | ( | Bimage * | p,
|  | float * | pfr,
|  | float * | pfi,
|  | int | bordo,
|  | int | n_radii,
|  | int | n_theta,
|  | kernel * | ker,
|  | int | padd
| ) |  |

Parameters

  *p |
  *pfr |
  *pfi |
  bordo |
  n_radii |
  n_theta |
  *ker |
  padd |

Returns
  int 0

Definition at line 148 of file gal_ricoI.cpp.

## ◆ polcart_fourier()

int polcart_fourier | ( | float * | pfri,
|  | float | r,
|  | float | phi,
|  | float * | val,
|  | int | bordo,
|  | int | n_radii,
|  | int | n_theta,
|  | kernel * | ker
| ) |  |

Parameters

  *pfri |
  r |
  phi |
  *val |
  bordo |
  n_radii |
  n_theta |
  *ker |

Returns
  int 0

Definition at line 227 of file gal_ricoI.cpp.

## ◆ shift_phase()

int shift_phase | ( | Bimage * | p,
|  | float | npix
| ) |  |

Parameters

  *p |
  npix |

Returns
  int 0

Definition at line 450 of file gal_ricoI.cpp.